Bug 32500 - rhn_register dies on old i386 systems during /proc cpuinfo call
rhn_register dies on old i386 systems during /proc cpuinfo call
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-20 22:54 EST by Josiah Royse
Modified: 2015-01-07 18:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-22 11:19:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josiah Royse 2001-03-20 22:54:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i586)


During the activation process of the rhn_register program, the program dies
aparently looking for cpu identifiers not listed in old hardware!  Acctual
/proc/cpuinfo:
processor	: 0
vendor_id	: unknown
cpu family	: 4
model		: 0
model name	: ff/00
stepping	: unknown
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: no
cpuid level	: -1
wp		: yes
flags		:
bogomips	: 39.83
Thats right, no CPU flags.  yeah she is a beauty.

Reproducible: Always
Steps to Reproduce:
1.start rhn_register
2.click through the registering process untill, it will crash on the info
gathering step
3.
	

Actual Results:  Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/register/gui.py", line 447, in onProfilePagePrepare
    hardware.read_cpuinfo()
  File "/usr/share/rhn/register/hardware.py", line 106, in read_cpuinfo
    hwdict['speed']         = int(round(float(mhz_speed)))
ValueError: empty string for float()
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/register/gui.py", line 447, in onProfilePagePrepare
    hardware.read_cpuinfo()
  File "/usr/share/rhn/register/hardware.py", line 106, in read_cpuinfo
    hwdict['speed']         = int(round(float(mhz_speed)))
ValueError: empty string for float()

Expected Results:  no errors!

I guess this program is expecting a Floating Point Unit!   This beast is
some type of 486!
Comment 1 Preston Brown 2001-03-22 11:18:58 EST
current CVS versions handle cases like this.  An errata, to be issues in the 
near future, will correct this.  The fix is already made in rawhide and our 
internal CVS tree.
Comment 2 Preston Brown 2001-04-12 16:54:17 EDT
fixed in errata due out today.

Note You need to log in before you can comment on or make changes to this bug.